"use strict";
exports.__esModule = true;
var ava_1 = require("ava");
var types_1 = require("../../types");
var httpClient_1 = require("../src/httpClient");
var batchableCommand = {
    command: types_1.IRICommand.FIND_TRANSACTIONS,
    addresses: ['A'.repeat(81), 'B'.repeat(81)]
};
var nonBatchableCommand = {
    command: 'command',
    key: ['key']
};
ava_1.test('isBatchableCommand() returns true for batchable commands.', function (t) {
    t.is(httpClient_1.isBatchableCommand(batchableCommand), true);
});
ava_1.test('isBatchableCommand() returns false for non-batchable commands.', function (t) {
    t.is(httpClient_1.isBatchableCommand(nonBatchableCommand), false);
});
//# sourceMappingURL=isBatchableCommand.test.js.map